package electrosphere.server.terrain.models;

import org.joml.Vector3i;

/**
 * A modification made to terrain
 */
public class TerrainModification {
    Vector3i worldPos;
    Vector3i voxelPos;
    float weight;
    int value;

    public TerrainModification(Vector3i worldPos, Vector3i voxelPos, float weight, int value) {
        this.worldPos = worldPos;
        this.voxelPos = voxelPos;
        this.weight = weight;
        this.value = value;
    }

    public Vector3i getWorldPos() {
        return worldPos;
    }

    public Vector3i getVoxelPos() {
        return voxelPos;
    }

    public float getWeight(){
        return weight;
    }

    public int getValue() {
        return value;
    }
    
    
}
